/*
 * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
 * Copyright (C) 1999,2000 Hiroyuki Yamamoto
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __NNTP_H__
#define __NNTP_H__


#ifndef SOCKINFO_DEFINED
#define SOCKINFO_DEFINED
typedef struct _SockInfo SockInfo;
#endif


#define NN_SUCCESS	0
#define NN_SOCKET	2
#define NN_AUTHFAIL	3
#define NN_PROTOCOL	4
#define NN_SYNTAX	5
#define NN_IOERR	6
#define NN_ERROR	7

#define NNTPBUFSIZE	8192

SockInfo *nntp_open(const gchar *server, gushort port, gchar *buf);
gint nntp_group(SockInfo *sockinfo, const gchar *group,
		gint *num, gint *first, gint *last);
gint nntp_get_article(SockInfo *sockinfo, const gchar *cmd, gint num, gchar **msgid);
gint nntp_article(SockInfo *sockinfo, gint num, gchar **msgid);
gint nntp_body(SockInfo *sockinfo, gint num, gchar **msgid);
gint nntp_head(SockInfo *sockinfo, gint num, gchar **msgid);
gint nntp_stat(SockInfo *sockinfo, gint num, gchar **msgid);
gint nntp_next(SockInfo *sockinfo, gint *num, gchar **msgid);
gint nntp_xover(SockInfo *sockinfo, gint first, gint last);
gint nntp_post(SockInfo *sockinfo, FILE *fp);
gint nntp_newgroups(SockInfo *sockinfo);
gint nntp_newnews(SockInfo *sockinfo);
gint nntp_mode(SockInfo *sockinfo, gboolean stream);
gint nntp_ok(SockInfo *sockinfo, gchar *argbuf);

#endif /* __NNTP_H__ */
